Bug 1265629 - [RFE] Host inherit ContentView, LifecycleEnvironment, Puppet Environment from Hostgroup
[RFE] Host inherit ContentView, LifecycleEnvironment, Puppet Environment from...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.2
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature
: 1172991 (view as bug list)
Depends On:
Blocks: 260381 1122832
  Show dependency treegraph
 
Reported: 2015-09-23 07:40 EDT by Peter Vreman
Modified: 2018-01-11 08:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vreman 2015-09-23 07:40:07 EDT
Description of problem:
In Satellite 6.1 Hostgroups have inheritance of ContentView, LifecycleEnvironment (and implicit the calculated Puppet Environment) from parent Hostgroups.
But the Host cannot inherit the current values from the Hostgroups.

As Host is in fact a Hostgroup with only 1 item, it shall behave the same as all aspects that apply to Hostgroups, including inheritance of values.

Secondly the inheritance is done for Parameters and Puppet Classes, that makes the behavior of certain aspects of Host-Hostgroups inconsistent and unpredictable for the user, as sometimes settings are inherited and sometimes not.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create Hostgroup
2. Set ContentView to A
3. Create Host in Hostgroup
4. Change Hostgroup ContentView to B
5. Check that Host Contentview is changed to B
6. Check that Host PuppetEnvironment is changed to B

Actual results:
Host (Calculated) ContentView stays A
Host (Calculated) PuppetEnvironment stays A

Expected results:
Host (Calculated) ContentView is changed to B
Host (Calculated) PuppetEnvironment is changed to B

Additional info:
In the past with Cobbler (used by Sat5), the such Profile values could be inherited by the Systems.
Comment 1 Peter Vreman 2016-03-08 09:27:08 EST
*** Bug 1172991 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.